require "spec_helper"

RSpec.describe TextEditor::State do
  subject { described_class.new(buffer, cursor) }

  let(:buffer) { double("buffer") }
  let(:cursor) { double("cursor") }

  describe "#buffer" do
    it "returns initialized buffer" do
      expect(subject.buffer).to eq(buffer)
    end
  end

  describe "#cursor" do
    it "returns initialized cursor" do
      expect(subject.cursor).to eq(cursor)
    end
  end
end
