require "spec_helper"

RSpec.describe CoreExt::Hash do
  using described_class

  subject { { one: 1, two: 2 } }

  describe "#transform_keys" do
    it "transforms the keys" do
      actual = subject.transform_keys(&:to_s)
      expected = { "one" => 1, "two" => 2 }
      expect(actual).to eq(expected)
    end
  end
end
