require "spec_helper"

RSpec.describe TextEditor::Command::InsertChar do
  include CommandHelper

  describe "#run" do
    before do
      expect_buffer("")
      expect_cursor(0, 0)
    end

    it "adds character and moves cursor" do
      subject.run("a")
      expect_buffer("a")
      expect_cursor(0, 1)
    end

    it "adds multiple characters moves cursor" do
      subject.run("abc")
      expect_buffer("abc")
      expect_cursor(0, 3)
    end
  end
end
