require "spec_helper"

RSpec.describe TextEditor::Command::Quit do
  subject { described_class.new(editor) }

  let(:editor) { double("editor") }

  describe "#run" do
    it "delegates to editor.reactor.stop" do
      expect(subject).to receive_message_chain(:editor, :reactor, :stop)
      subject.run
    end
  end
end
